Difference between revisions of "Talk:Browser plugins"

From ArchWiki
Jump to: navigation, search
(acroread no longer in repo (demoted to AUR - redistribution rights issue))
(Blue Tint Flash problem reloaded: new section)
(32 intermediate revisions by 14 users not shown)
Line 1: Line 1:
This article's title is TOO SPECIFIC. It should be changed depending on article's scope. --[[User:Foxbunny|foxbunny]] 10:17, 17 November 2006 (PST)
+
==Relocating Firefox specific content==
 +
Should this be moved back into [[Firefox]]? [[User:Dres|Dres]] 15:40, 16 January 2010 (EST)
  
I dont think that being "too specific" is the problem (see, for example, the [[Installing_VMware_Server_on_Arch64]] article that i authored. I think that's definitely worthy of a single article by itself). It's more of a case of the subject being too "trivial", or too "easy" to be worthy of an article by itself. And so in that sense you're right after all.
+
:The only Firefox-specific content I see is [[Browser Plugins#Plugins cannot be downloaded]]; the other troubleshooting tips are valid for other browsers (which tend to use the <tt>$MOZ_PLUGIN_PATH</tt> as well). This could easily be moved back.
--[[User:jf|jf]] 00:42, 24 November 2006 (UTC)
+
:-- [[User:Pointone|pointone]] 13:04, 19 January 2010 (EST)
  
I think the title should be changed to include 'java', as people wouldn't know that java is included too. Apart from that, I think the article perfectly deserves a page for itself.
+
::I can't personally gage on that, so I delegate to what's been pointed out. [[User:Dres|Dres]] 03:25, 23 January 2010 (EST)
  
== acroread no longer in repo (demoted to AUR - redistribution rights issue) ==
+
==TODO: mozplugger==
 +
mozplugger certainly deserves mention here.
  
I came to this page and tried to follow the instructions and they failed.
+
-- [[User:Pointone|pointone]] 09:21, 20 January 2010 (EST)
  
The acroread component is not in the repo (it used to be !!) but a quick search of the AUR revealed why. It seems the acrobat reader licence denies redistribution rights (what a surprise) and so the acroread package cannot ever be promoted to a repository.
+
==Permissions of /usr/bin/mozilla/ going to 700==
 +
While for use they need 755, apparently. Should this be filed as a bug? [[User:Jasper1984|Jasper1984]] 08:29, 30 December 2010 (EST)
  
I feel the instructions should be edited to reflect this but I don't personally have the necessary 'bottle' to just go in there and stomp over someone's hard work.
+
== plugin location ==
  
:: I do :) --[[User:Xiol|Xiol]] 06:24, 22 August 2008 (EDT)
+
firefox (3.6.13) on arch 64 bit does look at /usr/lib/mozilla/plugins
 +
 
 +
instead of
 +
 
 +
~/mozilla/plugins/ or
 +
~/.mozilla/plugins/
 +
 
 +
at least for libnpjp2.so I need to link to the correct /usr/lib/mozilla/plugins for it to work
 +
 
 +
== Blue Tint Flash problem reloaded ==
 +
 
 +
To solve the blue tint problem I had to right-click a flash element already running and set (in "preferences") off the hw acceleration, otherwise I had blue tint regardless the libvdpau workaround.
 +
 
 +
Should this be added to the wiki?

Revision as of 16:18, 5 November 2012

Relocating Firefox specific content

Should this be moved back into Firefox? Dres 15:40, 16 January 2010 (EST)

The only Firefox-specific content I see is Browser Plugins#Plugins cannot be downloaded; the other troubleshooting tips are valid for other browsers (which tend to use the $MOZ_PLUGIN_PATH as well). This could easily be moved back.
-- pointone 13:04, 19 January 2010 (EST)
I can't personally gage on that, so I delegate to what's been pointed out. Dres 03:25, 23 January 2010 (EST)

TODO: mozplugger

mozplugger certainly deserves mention here.

-- pointone 09:21, 20 January 2010 (EST)

Permissions of /usr/bin/mozilla/ going to 700

While for use they need 755, apparently. Should this be filed as a bug? Jasper1984 08:29, 30 December 2010 (EST)

plugin location

firefox (3.6.13) on arch 64 bit does look at /usr/lib/mozilla/plugins

instead of

~/mozilla/plugins/ or ~/.mozilla/plugins/

at least for libnpjp2.so I need to link to the correct /usr/lib/mozilla/plugins for it to work

Blue Tint Flash problem reloaded

To solve the blue tint problem I had to right-click a flash element already running and set (in "preferences") off the hw acceleration, otherwise I had blue tint regardless the libvdpau workaround.

Should this be added to the wiki?